1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.2 Tried updating to 1.2 got the following error

Discussion in 'Installation, Upgrade, and Import Support' started by NeoCHI, Aug 4, 2013.

  1. NeoCHI

    NeoCHI Active Member

    Uh oh, your upgrade to 1.2.0 has failed!

    The following elements of the database are incorrect:

    • Column xf_forum.allowed_watch_notifications missing.
    • Column xf_forum.default_sort_order missing.
    • Column xf_forum.default_sort_direction missing.
    This is likely caused by an add-on conflict. You may need to restore a backup, remove the offending add-on data from the database, and retry the upgrade. Contact support if you are not sure how to proceed.

    I have the following addons:

    custom bbcode manager 1.3.6.5
    keycaptcha 2.1
    last post avatar by waindigo 1.1.6
    nodes as tabs 1.1.4
    online status 1.1
    pinit share button 1.0
    social beta 2
    template modification system 1.2
    thread thumbnails by waindigo 1.3.1
    top posters stats 1.0
    xencarta 1.4.1
    xenporta 1.5.8
    tagme 1.7.2
    widget framework 2.1.1
    xentag 1.6.5
    custom node icon 0.9

    Any idea which addon is causing this and how I should proceed?
     
  2. Jeremy

    Jeremy XenForo Moderator Staff Member

  3. NeoCHI

    NeoCHI Active Member

    where/how do I run those queries?
     
  4. NeoCHI

    NeoCHI Active Member

    nvm I see instructions. weird thing is I never had that addon installed...
     
  5. NeoCHI

    NeoCHI Active Member

    After I run those queries I'm done? Do I need to reupdate?
     
  6. Jeremy

    Jeremy XenForo Moderator Staff Member

    No, you should be done.
     
  7. NeoCHI

    NeoCHI Active Member

    I get the following:

    Server Error
    Mysqli prepare error: Unknown column 'template_map.template_final' in 'field list'

    1. Zend_Db_Statement_Mysqli->_prepare() in Zend/Db/Statement.php at line 115
    2. Zend_Db_Statement->__construct() in Zend/Db/Adapter/Mysqli.php at line 381
    3. Zend_Db_Adapter_Mysqli->prepare() in Zend/Db/Adapter/Abstract.php at line 478
    4. Zend_Db_Adapter_Abstract->query() in XenForo/Model.php at line 219
    5. XenForo_Model->fetchAllKeyed() in TMS/Model/Template.php at line 228
    6. TMS_Model_Template->fetchAllKeyed() in XenForo/Model/Template.php at line 431
    7. XenForo_Model_Template->getOutdatedTemplates() in XenForo/ControllerAdmin/Home.php at line 26
    8. XenForo_ControllerAdmin_Home->actionIndex() in XenForo/FrontController.php at line 337
    9. XenForo_FrontController->dispatch() in XenForo/FrontController.php at line 134
    10. XenForo_FrontController->run() in /home/neochi/public_html/appinvasion.com/admin.php at line 13
    in /admin.php although i can access individual admin pages with no problem. Any ideas?
     
  8. Jeremy

    Jeremy XenForo Moderator Staff Member

    Disable or Uninstall TMS. You may want to read the first post of the previously linked thread.
     
  9. NeoCHI

    NeoCHI Active Member

    /admin.php?templates/outdated is also showing the above error.
     
  10. NeoCHI

    NeoCHI Active Member

    hmm ok, thanks but I need it for some other addons I forget which ones...if I disable it won't it break the other addons?
     
  11. Jeremy

    Jeremy XenForo Moderator Staff Member

    There may be an update, but it currently (as of the last time I checked), doesn't support 1.2.

    And yes, if you disable it and your add-ons require it, they will cease to function.
     
  12. Andrej

    Andrej Well-Known Member

  13. NeoCHI

    NeoCHI Active Member

    Great thanks for letting me know. It's weird cause I was able to get most of my addons to work without making me wonder which addon needed me to install it in the first place...
     

Share This Page